News

News 2.5

No permission to download
On Nov 16, 2015 version 2.1 of this add-on was released to address an exploitable SQL injection vulnerability. If you are still using a version of this add-on which is below 2.1 or released before Nov 16, 2015 then it is essential that you update to the latest version of the add-on as soon as possible to fix this security issue. If you have any further questions, please ask.
News v2.5 changes:

Updated Template Modification to use Regular Expression.
News v2.4 changes:

Added additional Group Permission.
News v2.3 changes:

Updated PHP code.
News v2.2 changes:

Fixed issue with non-Full Friendly URLs.
News v2.1 changes:

Now using prepared statements.
  • Like
Reactions: eva2000
New v2.0 changes:

Many changes have been made to News v2.0. It is required to completely uninstall versions prior to v2.0 so the new table xf_news can be used.

Upgrading from New v1.9 and below.

1) Using phpMyAdmin save a copy of xf_news as xf_news_old.
2) Uninstall the add-on.
3) Delete the library/Andy/News folder
4) Install News v2.0
5) Using phpMyAdmin copy the data from xf-news_old to xf_news.
6) Set User Group Permissions.
7) Enjoy. :)
  • Like
Reactions: philthepat
News v1.9 changes:

Removed required to use Full Friendly URLs.

Upgrading from v1.8 requires uploading the library/Andy/News folder to the server and upgrading the XML file.
New v1.8 changes:

1) Name in Admin page now shows as feed title
2) Images have padding and max width CSS settings
  • Like
Reactions: DRE
News v1.7 changes:

1) Several navigation phrases were changed to make navigation easier
2) External links now open in new tab
Top